Bug 1293136 - [abrt] WARNING: CPU: 0 PID: 0 at net/mac80211/rate.c:513 ieee80211_get_tx_rates+0x243/0x7d0 [mac80211]() [NEEDINFO]
[abrt] WARNING: CPU: 0 PID: 0 at net/mac80211/rate.c:513 ieee80211_get_tx_rat...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:15b3af8690477ee381dd8915c7a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 09:59 EST by Tim Smith
Modified: 2016-10-26 12:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:45:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (tim)


Attachments (Terms of Use)
File: dmesg (74.18 KB, text/plain)
2015-12-20 09:59 EST, Tim Smith
no flags Details

  None (edit)
Description Tim Smith 2015-12-20 09:59:14 EST
Description of problem:
Attempt to connect to an AP using the built-in wifi (trace should show the hardware)
Association succeeds, and ARP/DHCP work, but no IP frames can be transmitted. They show in tcpdump but don't make it to air.

Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 0 PID: 0 at net/mac80211/rate.c:513 ieee80211_get_tx_rates+0x243/0x7d0 [mac80211]()
Modules linked in: ccm cmac rfcomm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_raw ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_filter ip6_tables iptable_raw iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle bnep vfat fat rtsx_usb_ms memstick intel_rapl x86_pkg_temp_thermal coretemp kvm_intel asus_nb_wmi asus_wmi kvm arc4 sparse_keymap rtl8821ae btcoexist iTCO_wdt iTCO_vendor_support btusb rtl_pci rtlwifi uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media crct10dif_pclmul crc32_pclmul btrtl mac80211 btbcm btintel bluetooth cfg80211 snd_soc_rt5640 rfkill snd_soc_rl6231
 snd_soc_core crc32c_intel snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi processor_thermal_device dw_dmac snd_compress int3402_thermal intel_soc_dts_iosf snd_pcm_dmaengine snd_hda_intel joydev mei_me dw_dmac_core ac97_bus wmi acpi_pad snd_hda_codec i2c_designware_platform i2c_designware_core mei snd_hda_core snd_hwdep snd_seq snd_seq_device lpc_ich snd_pcm snd_timer snd_soc_sst_acpi snd int3400_thermal int340x_thermal_zone iosf_mbi acpi_thermal_rel soundcore shpchp i2c_i801 nfsd auth_rpcgss nfs_acl lockd grace sunrpc rtsx_usb_sdmmc rtsx_usb i915 i2c_algo_bit drm_kms_helper 8021q garp drm stp llc mrp serio_raw r8169 mii sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.2.7-300.fc23.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. X555LAB/X555LAB, BIOS X555LAB.307 04/23/2015
 0000000000000000 7badaf6f0f23d5de ffff88021ec03648 ffffffff81772baa
 0000000000000000 0000000000000000 ffff88021ec03688 ffffffff8109e4b6
 ffffffff810c6d28 ffff8800c8527a30 ffff8800c8527a00 ffff8800c8527a3c
Call Trace:
 <IRQ>  [<ffffffff81772baa>] dump_stack+0x45/0x57
 [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff810c6d28>] ? check_preempt_curr+0x58/0xa0
 [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa0629fc3>] ieee80211_get_tx_rates+0x243/0x7d0 [mac80211]
 [<ffffffffa062a770>] rate_control_get_rate+0x120/0x150 [mac80211]
 [<ffffffffa0639c9d>] ieee80211_tx_h_rate_ctrl+0x1dd/0x420 [mac80211]
 [<ffffffff81377486>] ? blk_complete_request+0x16/0x20
 [<ffffffffa063b87c>] invoke_tx_handlers+0x2ec/0xe50 [mac80211]
 [<ffffffffa063c5b5>] ieee80211_tx+0x85/0x110 [mac80211]
 [<ffffffffa063d4fb>] ieee80211_xmit+0x9b/0xf0 [mac80211]
 [<ffffffffa063e2e4>] __ieee80211_subif_start_xmit+0x514/0x740 [mac80211]
 [<ffffffff810d3d81>] ? enqueue_entity+0x441/0xc50
 [<ffffffffa063e520>] ieee80211_subif_start_xmit+0x10/0x20 [mac80211]
 [<ffffffff8166338d>] dev_hard_start_xmit+0x24d/0x3b0
 [<ffffffff81686669>] sch_direct_xmit+0x129/0x200
 [<ffffffff8166386d>] __dev_queue_xmit+0x23d/0x550
 [<ffffffff81663b93>] dev_queue_xmit_sk+0x13/0x20
 [<ffffffff8166c0e0>] neigh_resolve_output+0x120/0x1d0
 [<ffffffff81717f12>] ip6_finish_output2+0x192/0x4a0
 [<ffffffff81698027>] ? nf_iterate+0x97/0xb0
 [<ffffffff8171a86f>] ip6_finish_output+0x8f/0xf0
 [<ffffffff8171a923>] ip6_output+0x53/0x100
 [<ffffffff8171a7e0>] ? ip6_fragment+0xa70/0xa70
 [<ffffffff8173c766>] NF_HOOK_THRESH.constprop.37+0x36/0xa0
 [<ffffffff8173af40>] ? ipv6_icmp_sysctl_init+0x40/0x40
 [<ffffffff8173c936>] mld_sendpack+0x166/0x250
 [<ffffffff8173dd0f>] mld_ifc_timer_expire+0x17f/0x280
 [<ffffffff8173db90>] ? igmp6_timer_handler+0x80/0x80
 [<ffffffff81105a89>] call_timer_fn+0x39/0xf0
 [<ffffffff8173db90>] ? igmp6_timer_handler+0x80/0x80
 [<ffffffff811060bf>] run_timer_softirq+0x20f/0x2c0
 [<ffffffff810a286b>] __do_softirq+0xfb/0x290
 [<ffffffff810a2c19>] irq_exit+0x119/0x120
 [<ffffffff8177c2b6>] smp_apic_timer_interrupt+0x46/0x60
 [<ffffffff8177a44b>] apic_timer_interrupt+0x6b/0x70
 <EOI>  [<ffffffff816167d0>] ? cpuidle_enter_state+0x130/0x270
 [<ffffffff816167ab>] ? cpuidle_enter_state+0x10b/0x270
 [<ffffffff81616947>] cpuidle_enter+0x17/0x20
 [<ffffffff810dfcf2>] call_cpuidle+0x32/0x60
 [<ffffffff81616923>] ? cpuidle_select+0x13/0x20
 [<ffffffff810dff88>] cpu_startup_entry+0x268/0x320
 [<ffffffff817692ec>] rest_init+0x7c/0x80
 [<ffffffff81d5702d>] start_kernel+0x49d/0x4be
 [<ffffffff81d56120>] ? early_idt_handler_array+0x120/0x120
 [<ffffffff81d56339>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d56485>] x86_64_start_kernel+0x14a/0x16d
Comment 1 Tim Smith 2015-12-20 09:59:26 EST
Created attachment 1107990 [details]
File: dmesg
Comment 2 Tim Smith 2015-12-20 11:30:26 EST
Additional note:

Running tcpdump on the wireless interface on the laptop, and pinging the laptop from another machine on the LAN, I can see the incoming ICMP and an attempt to reply. As noted, I'm pretty sure the replies don't make it on air.

This also shows that it's only IP frames affected; the ARP response made it out fine.
Comment 3 Laura Abbott 2016-09-23 15:27:38 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Laura Abbott 2016-10-26 12:45:15 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.